Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Can't emerge ardour
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
gnardog777
n00b
n00b


Joined: 06 Apr 2012
Posts: 4

PostPosted: Thu Apr 19, 2012 6:00 am    Post subject: Can't emerge ardour Reply with quote

Hey guys, I've been trying to emerge ardour, but it's failing to work. It compiles just fine, but I'm getting a couple weird python-ish errors when it installs (I don't know how else to describe them). Here is the output of the installation:
Code:

>>> Installing (1 of 1) media-sound/jack-3.1.1
 * Compilation and optimization of Python modules for CPython 2.7 ...    [ !! ]
 *     SyntaxError: ('invalid syntax', ('/usr/lib64/python2.7/site-packages/jack_functions.py', 222, 25, 'def starts_with(str, with):n'))

>>> Recording media-sound/jack in "world" favorites file...

 * Messages for package media-sound/jack-3.1.1:

 * Syntax errors / warnings in Python modules for CPython 2.7:
 *     SyntaxError: ('invalid syntax', ('/usr/lib64/python2.7/site-packages/jack_functions.py', 222, 25, 'def starts_with(str, with):n'))


I also went to the website to see if there were dependencies that emerge hadn't installed (just to be sure), but all the dependencies had been correctly installed. [/code]
Back to top
View user's profile Send private message
gorkypl
Guru
Guru


Joined: 04 Oct 2010
Posts: 444
Location: Kraków, PL

PostPosted: Thu Apr 19, 2012 12:21 pm    Post subject: Reply with quote

This is a bug, not in ardour however but in media-sound/jack

It was fixed in =media-sound/jack-3.1.1-r1, just add it to /etc/portage/package.keywords and update world.
_________________
BTW, TWM FTW!
Back to top
View user's profile Send private message
gnardog777
n00b
n00b


Joined: 06 Apr 2012
Posts: 4

PostPosted: Thu Apr 19, 2012 7:09 pm    Post subject: Reply with quote

Ok, well it turns out I was wrong. I needed Jack1 and not Jack2, so I did emerge jack-audio-connection-kit. However, now it's not connecting to the Jack server, and it told me to add a certain line to /etc/security/limits.conf, and I did, but it still refuses to work.
Back to top
View user's profile Send private message
Erdie
Veteran
Veteran


Joined: 20 May 2004
Posts: 1688
Location: Heidelberg - Germany

PostPosted: Wed Oct 03, 2012 12:15 pm    Post subject: Reply with quote

Please specify in detail what error message you get and which lines you inserted in limits.conf
_________________
Desktop Phenom II X4 8GB RAM, Asus GF 430 fanless. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000.
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum